main section.comments a,
main section.comments a:visited {
    text-decoration: underline;
}
main section.comments a:before {
    content: "link → ";
    transition: color 250ms;
}
main section.comments a:hover:before {
    color: #ffa500;
}
main section.comments div.comments h3 {
    margin-bottom: 2rem;
    text-align: center;
    text-transform: uppercase;
}
main section.comments input.name {
    margin-top: 1rem;
}
main section.comments input.name,
main section.comments textarea.comment {
    width: 100%;
    margin-bottom: 1rem;
    padding: 1rem;
    border: 1px solid #e5e5e5;
    border-radius: 5px;
    font: inherit;
    resize: vertical;
}
main section.comments textarea.comment {
    height: 10rem;
}
main section.comments p.comment {
    font-style: italic;
}
main section.comments p.name {
    margin-bottom: 1rem;
    padding-bottom: 1rem;
    border-bottom: 1px solid #e5e5e5;
    font-size: 0.75rem;
    font-weight: bold;
    text-transform: uppercase;
    text-align: right;
}
main section.comments button.send {
    width: 100%;
    padding: 1rem;
    border: 1px solid #e5e5e5;
    border-radius: 5px;
    background-color: #006b00;
    font: inherit;
    font-weight: bold;
    text-transform: uppercase;
    color: #fff;
    cursor: pointer;
    transition: filter 250ms;
    filter: saturate(1);
}
main section.comments button.send:hover {
    filter: saturate(2);
}
.cart {
    position: fixed;
    top: 60px;
    right: 60px;
    min-width: 70px;
    transition: 0.5s;
    padding: 10px;
    display: none;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: rgb(139, 216, 139);
    box-shadow: 1px 2px 6px -1px rgba(0, 0, 0, 0.5);
    border-radius: 6px;
    overflow: hidden;
    flex-wrap: nowrap;
}
.cart.visible {
    display: flex;
}
.cart:hover .cart__wrapper {
    transition: 0.2s;
    height: auto;
    visibility: visible;
    width: 270px;
}
.cart__icon {
    position: relative;
}
.cart__i {
    width: 40px;
}
.cart__i:hover path {
    fill: rgb(73, 70, 70);
}
.cart__counter {
    visibility: hidden;
    position: absolute;
    top: -3px;
    right: -3px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    color: #fff;
    background-color: red;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
}
.cart__counter.visible {
    visibility: visible;
}
.cart__wrapper {
    transition: 0.5s;
    height: 0;
    width: 0;
    visibility: hidden;
}
.cart__item {
    display: flex;
    justify-content: space-between;
    flex-wrap: nowrap;
}
.cart__count {
    text-align: center;
}
.cart__item span + .cart__item span {
    margin-left: 10px;
}
.cart__name {
    width: 140px;
    /* text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden; */
}
.cart__count {
    width: 50px;
}
.cart__price {
    width: 80px;
}
.cart__price,
.cart__sum {
    text-align: right;
}
.cart__total {
    margin-top: 10px;
    display: flex;
    justify-content: flex-end;
    flex-wrap: nowrap;
}
.cart__buttonWrapper {
    display: flex;
    flex-wrap: nowrap;
    margin-bottom: 5px;
}
.cart__button {
    flex-grow: 1;
    width: 100%;
    padding: 10px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.2s;
    color: #fff;
    border: none;
    border-radius: 3px;
    cursor: pointer;
}
.cart__button + .cart__button {
    margin-left: 5px;
}
.cart__clear {
    background-color: rgb(1, 148, 1);
}
.cart__clear:hover {
    background-color: rgb(12, 168, 12);
}
.cart__buy {
    background-color: rgb(211, 36, 36);
}
.cart__buy:hover {
    background-color: rgb(206, 50, 50);
}
.cart__all {
    background-color: rgb(138, 128, 128);
}
.cart__all:hover {
    background-color: rgb(177, 159, 159);
}
aside section.proposal {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 3rem 5rem;
    border: 1px solid #ccc;
    background-color: #fff;
    text-align: center;
}
aside section.proposal .close {
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    padding: 1rem;
    cursor: pointer;
    color: #ccc;
    font-size: 2rem;
    transition: color 250ms;
}
aside section.proposal .close:hover {
    color: #666;
}
aside section.proposal img {
    margin: 1rem 0;
    width: 100%;
    max-width: 15rem;
}
aside section.proposal p {
    font-size: 2rem;
    color: #006b00;
    text-transform: uppercase;
}
aside section.proposal p.secondary {
    font-size: 1.25rem;
    color: #666;
}
@media only screen and (max-width: 768px) {
    .cart {
        position: fixed;
        right: 5px;
        min-width: auto;
        padding: 5px;
    }
}
